/******************************************************************************
*
* main.c - implementation of "MicroStamp11 GNU-C runtime" client C entry and
*          interrupt handling
*
* Copyright (c) 2002, 2004, Don Woodward.
*
*
* This file is part of "MicroStamp11 GNU-C runtime".
*
* "MicroStamp11 GNU-C runtime" is free software; you can redistribute
* it and/or modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2 of the
* License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*
******************************************************************************/

#include "microstamp11.h"
#include "shell.h"

/******************************************************************************
* main.c exported functions
******************************************************************************/
/* main()   */
int
main(int argc, char ** argv)
{
    /* Your basic traditional function main().  Even though the prototype is
       standard, argc and argv are not used and invalid - Don't try to use them!
    */

    /* First we MUST enable interrupts.  See microstamp11.c for an explanation. */
    enable();
        
    /* fire up the shell */
    Shell();

    for (;;);

    return 0;
}

/* int_notify()   */
void
int_notify(u8 nInterrupt)
{
    /* int_notify() is the entry point for client interrupt handling.
       nInterrupt is set to the interrupt id of the interrupt being
       notified.  The interrupt ids are defined in microstamp11.h */
}

/******************************************************************************
*   LOG
*******************************************************************************
*   03-Jan-02   dwoodward   created
*
*/
